EZ_SetDirTreeDirectoryNodeCreator(3)

NAME
EZ_SetDirTreeDirectoryNodeCreator, EZ_SetDirTreeFileNodeCreator - specify a procedure for creating directory/file nodes on dir trees dir tree

SYNOPSIS
#include <EZ.h>

EZ_TreeNode *(*EZ_SetDirTreeDirectoryNodeCreator)(EZ_TreeNode *(*dcreator)(char *name))

EZ_TreeNode *(*EZ_SetDirTreeFileNodeCreator)(EZ_TreeNode *(*fcreator)(char *name))

ARGUMENTS
dcreator Specifies a procedure for creating directory nodes.

fcreator Specifies a procedure for creating file nodes.

DESCRIPTION

EZ_SetDirTreeDirectoryNodeCreator returns the current dir tree directory node generator and sets the directory node creator to the specified procedure.

EZ_SetDirTreeFileNodeCreator returns the current dir tree file node generator and sets the directory node creator to the specified procedure.

SEE ALSO
EZ_GetDirTreeNodeFullPath(3), EZ_SetDirTreeOpenDirectoryMode(3)